Issue 68897 - VBA: allow vba api interfaces to be dim(ed)
Summary: VBA: allow vba api interfaces to be dim(ed)
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: scripting (show other issues)
Version: 680m180
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.4
Assignee: sled10guy
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 16:04 UTC by noel.power
Modified: 2009-07-20 15:22 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch file (12.70 KB, patch)
2006-08-23 16:04 UTC, noel.power
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description noel.power 2006-08-23 16:04:07 UTC
cheap patch to allow 

dim r1 as Range ( etc. )

Note this patch is only for objects that exist in the openoffice.org.vba namespace

necessary to allow imported vba code to run
Comment 1 noel.power 2006-08-23 16:04:53 UTC
Created attachment 38730 [details]
patch file
Comment 2 noel.power 2006-09-01 10:23:23 UTC
reassign
also this patch allows constants ( from the openoffice.org.vba namespace ) to be
accessed without the full namespace
Comment 3 noel.power 2006-09-01 17:14:48 UTC
.
Comment 4 ab 2006-09-05 07:50:23 UTC
STARTED -> OOo 2.x
Comment 5 ab 2006-10-18 08:40:53 UTC
ab->npower: As discussed. If the task should be integrated for 2.1
please assign it to npower4 and set the target accordingly.
Comment 6 Mathias_Bauer 2007-04-10 10:28:33 UTC
Is this patch still valid?
If not: relabel as "Enhancement"
If yes: can we please come to an agreement whether it can be integrated before
we reach its first anniversary?
Comment 7 noel.power 2007-04-23 13:16:12 UTC
it is already assigned ( or at least planned ) to be in cws npower7 but can't
check as eis seems unresponsive 
Comment 8 Mathias_Bauer 2007-04-23 16:46:05 UTC
Thanks, Noel. I'm just asking as the project leads are expected to look after
patches. I wanted to avoid "dead" patches but yours seems to alive and kicking. :-)
Comment 9 noel.power 2007-05-05 13:11:04 UTC
fixed
Comment 10 noel.power 2007-05-17 17:22:31 UTC
For Testing, the two macros below should behave as described.

to enable vba compatibility mode the following option must be the first thing at
the top of the module
option vbasupport 1

Sub Main
Dim r1 as Range
set r1 = ActiveSheet
End Sub

the macro above tries to assign an object Dim'ed as as Range object to a
Worksheet object, it should Fail.

the next macro

Sub Main
Dim r1 as Range
set r1 = Range
Msgbox r1.Address
End Sub

should run nicely and print out the address of the range.
Comment 11 noel.power 2007-07-11 12:46:55 UTC
for qa
Comment 12 noel.power 2007-08-07 10:10:13 UTC
change target
Comment 13 sled10guy 2007-08-28 16:16:38 UTC
Ran test documents (TaskID68897.ods) on released SLED10 SP1 OOo 2.1.14, Windows
OOo 2.1 (Build 2007-06-04) and cws-npower7-m217. Below are the results returned
in the msgbox after pressing the "Pass Scenario" button:
• $A$8:$B$8
‣ Below are the results returned in the msgbox after pressing the "Fail
Scenario" button:
• cws-npower7-m217 - Object not accessible. Invalid use of an object
• SLED10 SP1 OOo - BASIC runtime error. '425' Invalid use of an object
‣ RESULT: QA was unsure if the $A$8:$B$8 output is the desired result. Deferred
to development for additional comments and found out that it was acceptable
behavior. Test Passes.
Comment 14 thorsten.ziehm 2009-07-20 15:22:22 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues